/**
 * ItpMeta class
 * The class loads tag into the content text area.
 * @author       Todor Iliev
 * @copyright    Copyright (C) 2010 Todor Iliev <todor@itprism.com>. All rights reserved.
 * @license      http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */
function ItpMeta(id) {
	
	this.id = id;
	
	/**
	 * Show the overlay
	 */
	this.load = function(name){
	  
		var val = "";
		
		switch(name){

			/* Basic */
			case "ogtitle":
				val = '<meta property="og:title" content="{PAGE_TITLE}" />';
				break;
			
			case "ogdesc":
				val = '<meta property="og:description" content="{PAGE_DESCRIPTION}" />';
				break;
				
			case "ogimage":
				val = '<meta property="og:image" content="{IMAGE_URL}" />';
				break;
				
			case "ogaudio":
				val = '<meta property="og:audio" content="{AUDIO_URL_MP3_ONLY}" />';
				break;
				
			case "ogvideo":
				val = '<meta property="og:video" content="{VIDEO_URL_SWF_ONLY}" />';
				break;
			case "ogtype":
				val = '<meta property="og:type" content="{TYPE}" />';
			break;
			
			/* Location */
			case "oglatitude":
				val = '<meta property="og:latitude" content="37.416343"/>';
				break;
			case "oglongitude":
				val = '<meta property="og:longitude" content="-122.153013"/>';
				break;
			case "ogstreetaddress":
				val = '<meta property="og:street-address" content="1601 S California Ave"/>';
				break;
			case "oglocality":
				val = '<meta property="og:locality" content="Palo Alto"/>';
				break;
			case "ogregion":
				val = '<meta property="og:region" content="CA"/>';
				break;
			case "ogpostal-code":
				val = '<meta property="og:postal-code" content="94304"/>';
				break;
			case "ogcountry-name":
				val = '<meta property="og:country-name" content="USA"/>';
				break;	
			
			/* Contact information */
			case "ogemail":
				val = '<meta property="og:email" content="me@example.com"/>';
				break;	
			case "ogphone_number":
				val = '<meta property="og:phone_number" content="650-123-4567"/>';
				break;	
			case "ogfax_number":
				val = '<meta property="og:fax_number" content="+1-415-123-4567"/>';
				break;	
				
			/* Audio */
			case "ogaudio_title":
				val = '<meta property="og:audio:title" content="Amazing Song" />';
			break;
			case "ogaudio_artist":
				val = '<meta property="og:audio:artist" content="Amazing Band" />';
			break;
			case "ogaudio_album":
				val = '<meta property="og:audio:album" content="Amazing Album" />';
			break;
			case "ogaudio_type":
				val = '<meta property="og:audio:type" content="application/mp3" />';
			break;
			
			/* Video */
			case "ogvideo_height":
				val = '<meta property="og:video:height" content="640" />';
			break;
			case "ogvideo_width":
				val = '<meta property="og:video:width" content="385" />';
			break;
			case "ogvideo_type":
				val = ' <meta property="og:video:type" content="application/x-shockwave-flash" />';
			break;
			
			/* Facebook */
			case "fbadmins":
				val = '<meta property="fb:admins" content="USER_ID1,USER_ID2"/>';
			break;
			
			case "fbappid":
				val = '<meta property="fb:app_id" content="1234567"/>';
			break;
			
			case "ogsite_name":
				val = '<meta property="og:site_name" content="{SITE_NAME}"/>';
			break;	
			
			/* Websites */
			case "ogwebsite":
				val = '<meta property="og:type" content="website" />';
			break;
			case "ogblog":
				val = '<meta property="og:type" content="blog" />';
			break;
			case "ogarticle":
				val = '<meta property="og:type" content="article" />';
			break;
			
			/* Websites */
			case "ogactivity":
				val = '<meta property="og:type" content="activity" />';
			break;
			case "ogsport":
				val = '<meta property="og:type" content="sport" />';
			break;
			
			/* Business */
			case "ogbar":
				val = '<meta property="og:type" content="bar" />';
			break;
			case "ogcompany":
				val = '<meta property="og:type" content="company" />';
			break;
			case "ogcafe":
				val = '<meta property="og:type" content="cafe" />';
			break;
			case "oghotel":
				val = '<meta property="og:type" content="hotel" />';
			break;
			case "ogrestaurant":
				val = '<meta property="og:type" content="restaurant" />';
			break;
			
			/* Groups */
			case "ogcause":
				val = '<meta property="og:type" content="cause" />';
			break;
			case "ogsports_league":
				val = '<meta property="og:type" content="sports_league" />';
			break;
			case "ogsports_team":
				val = '<meta property="og:type" content="sports_team" />';
			break;
			
			/* Organizations */
			case "ogband":
				val = '<meta property="og:type" content="band" />';
			break;
			case "oggovernment":
				val = '<meta property="og:type" content="government" />';
			break;
			case "ognon_profit":
				val = '<meta property="og:type" content="non_profit" />';
			break;
			case "ogschool":
				val = '<meta property="og:type" content="school" />';
			break;
			case "oguniversity":
				val = '<meta property="og:type" content="university" />';
			break;
			
			/* People */
			case "ogactor":
				val = '<meta property="og:type" content="actor" />';
			break;
			case "ogathlete":
				val = '<meta property="og:type" content="athlete" />';
			break;
			case "ogauthor":
				val = '<meta property="og:type" content="author" />';
			break;
			case "ogdirector":
				val = '<meta property="og:type" content="director" />';
			break;
			case "ogmusician":
				val = '<meta property="og:type" content="musician" />';
			break;
			case "ogpolitician":
				val = '<meta property="og:type" content="politician" />';
			break;
			case "ogpublic_figure":
				val = '<meta property="og:type" content="public_figure" />';
			break;
			
			/* Places */
			case "ogcity":
				val = '<meta property="og:type" content="city" />';
			break;
			case "ogcountry":
				val = '<meta property="og:type" content="country" />';
			break;
			case "oglandmark":
				val = '<meta property="og:type" content="landmark" />';
			break;
			case "ogstate_province":
				val = '<meta property="og:type" content="state_province" />';
			break;
			
			/* Products and Entertainment */
			case "ogalbum":
				val = '<meta property="og:type" content="album" />';
			break;
			case "ogbook":
				val = '<meta property="og:type" content="book" />';
			break;
			case "ogdrink":
				val = '<meta property="og:type" content="drink" />';
			break;
			case "ogfood":
				val = '<meta property="og:type" content="food" />';
			break;
			case "oggame":
				val = '<meta property="og:type" content="game" />';
			break;
			case "ogproduct":
				val = '<meta property="og:type" content="product" />';
			break;
			case "ogsong":
				val = '<meta property="og:type" content="song" />';
			break;
			case "ogmovie":
				val = '<meta property="og:type" content="movie" />';
			break;
			case "ogtv_show":
				val = '<meta property="og:type" content="tv_show" />';
			break;
			
			/* SEO */
			
			case "seo_canonical":
				val = '<link rel="canonical" href="{URL}" />';
			break;			

			default:
				break;
		}
	  
	  // Gets an element object
	  var el = document.getElementById(this.id);
		
	  // Adds a overlay
	  el.value = val;
	  
	}
	
	this.saveTag = function() {
		
		var content = document.id('itpm-content').get("value").trim();
		
		if(!content) {
			return false;
		}
		document.id('tag-form').set("send",{
			onRequest: function() {
				document.id("itp-ajax-loader").show();
			},
			onSuccess: function(response){
				document.id("itp-ajax-loader").hide();
				var object = JSON.decode(response);
				if(!object.success){
					alert(object.msg);
				}
				
				if(object.data){
					var data = JSON.decode(object.data);
					document.itpmMeta.loadTags(data.url_id);
				}
			}
		});
		
		document.id('tag-form').send();
	}
	
	this.loadTags = function(urlId){

		if(urlId) {
			var myHTMLRequest = new Request.HTML({
				url:'index.php?option=com_itpmeta&task=url.loadTags&format=raw',
				evalScripts:false,
				update:"itmp-tags-list",
				onRequest: function() {
					document.id("itp-ajax-loader").show();
				},
				onSuccess: function(response) {
					document.id("itp-ajax-loader").hide();
				}
			}).get({"url_id": urlId});

		}
		
	}
	
	this.loadTag = function(tagId){

		var myRequest = new Request({
		    url: 'index.php?option=com_itpmeta&task=url.loadTag&format=raw',
		    method: 'get',
		    onRequest: function(){
				document.id("itp-ajax-loader").show();
		    },
		    onSuccess: function(responseText){
		    	document.id("itp-ajax-loader").hide();
		    	
		        var object = JSON.decode(responseText);
				if(!object.success){
					alert(object.msg);
				}
				
				if(object.data){
					var data = JSON.decode(object.data);
					document.id("itpm-content").set("value",data.content);
					document.id("itp-tag-id").set("value",data.id);
				}
				
		    },
		    onFailure: function(){
		    	document.id("itp-ajax-loader").hide();
		        alert('Sorry, your request failed :(');
		    }
		});
		
		myRequest.get("id="+tagId);
	}
	
	this.removeTag = function(tagId){

		if(confirm('Are you sure you want to delete?')){
			
			var myRequest = new Request({
			    url: 'index.php?option=com_itpmeta&task=url.removeTag&format=raw',
			    method: 'post',
			    onRequest: function(){
					document.id("itp-ajax-loader").show();
			    },
			    onSuccess: function(responseText){
			    	document.id("itp-ajax-loader").hide();
			    	
			    	var object = JSON.decode(responseText);
					if(!object.success){
						alert(object.msg);
					}
					
					if(object.data){
						var data = JSON.decode(object.data);
						document.itpmMeta.loadTags(data.url_id);
					}
					
			    },
			    onFailure: function(){
			    	document.id("itp-ajax-loader").hide();
			        alert('Sorry, your request failed :(');
			    }
			});
			
			myRequest.post("id="+tagId);
			
		}
		
	}
	
	this.show = function(elId){
		$(elId).setStyle("display","block");
	}
	
	this.hide = function(elId){
		$(elId).setStyle("display","none");
	}
	
}
